rage-keygen(1)

NAME
rage-keygen - Generate age-compatible encryption key pairs

SYNOPSIS
rage-keygen [-h|--help] [-V|--version] [-o|--output] [-y ] [INPUT]

DESCRIPTION
rage-keygen generates a new native age key pair, and outputs the identity to standard output or to the OUTPUT file. The output includes the public key and the current time as comments.

If the output is not going to a terminal, rage-keygen prints the public key to standard error.

OPTIONS

-h, --help
    Print this help message and exit.

-V, --version
    Print version info and exit.

-o, --output=OUTPUT
    Write the identity to OUTPUT instead of standard output. If OUTPUT already exists, it is not overwritten.

-y  Read an identity file from INPUT or from standard input and output the corresponding recipient(s), one per line, with no comments.

[INPUT]
    Path to a file to read from.

EXAMPLES

Generate a new identity:
    $ rage-keygen
    # 已創建: 2021-01-02T15:30:45+01:00
    # 公鑰: age1lvyvwawkr0mcnnnncaghunadrqkmuf9e6507x9y920xxpp866cnql7dp2z
    AGE-SECRET-KEY-1N9JEPW6DWJ0ZQUDX63F5A03GX8QUW7PXDE39N8UYF82VZ9PC8UFS3M7XA9

Write a new identity to "key.txt":
    $ rage-keygen -o key.txt
    公鑰: age1ql3z7hjy54pw3hyww5ayyfg7zqgvc7w3j2elw8zmrj2kg5sfn9aqmcac8p

Convert an identity to a recipient:
    $ rage-keygen -y key.txt
    age1ql3z7hjy54pw3hyww5ayyfg7zqgvc7w3j2elw8zmrj2kg5sfn9aqmcac8p

SEE ALSO
rage(1)

VERSION
v0.11.1

AUTHORS
Jack Grigg <thestr4d@gmail.com>